## com.bbn.openmap.image
Class ImageScaler

    java.lang.Object
      com.bbn.openmap.image.ImageScaler

public class ImageScaler
extends java.lang.Object

This code comes from the book "Filthy Rich Clients" Chapter 4. It is optimized for fast scaling.

Author:
  Chet Hasse

Constructor Summary
`ImageScaler()`

Method Summary
`static java.awt.Image` `getOptimalScalingImage(java.awt.Image inputImage, int startSize, int endSize)` Progressive bilinear scaling: for any downscale size, scale iteratively by halves using BILINEAR filtering until the proper size is reached.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageScaler

    public ImageScaler()

Method Detail

### getOptimalScalingImage

    public static java.awt.Image getOptimalScalingImage(java.awt.Image inputImage,
                                                        int startSize,
                                                        int endSize)

  Progressive bilinear scaling: for any downscale size, scale iteratively by halves using BILINEAR filtering until the proper size is reached.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details